Bullet Collision Detection & Physics Library: GIM_BOX_BOX_TRANSFORM_CACHE Class Reference

Bullet Collision Detection & Physics Library

Public Member Functions | Public Attributes | List of all members
GIM_BOX_BOX_TRANSFORM_CACHE Class Reference

Class for transforming a model1 to the space of model0. More...

`#include <gim_box_collision.h>`

Collaboration diagram for GIM_BOX_BOX_TRANSFORM_CACHE:
[legend]

## Public Member Functions
void | calc_absolute_matrix ()
| GIM_BOX_BOX_TRANSFORM_CACHE ()
| GIM_BOX_BOX_TRANSFORM_CACHE (mat4f trans1_to_0)
void | calc_from_homogenic (const btTransform &trans0, const btTransform &trans1)
| Calc the transformation relative 1 to 0. Inverts matrics by transposing. More...
void | calc_from_full_invert (const btTransform &trans0, const btTransform &trans1)
| Calcs the full invertion of the matrices. Useful for scaling matrices. More...
btVector3 | transform (const btVector3 &point)

## Public Attributes
btVector3 | m_T1to0
| Transforms translation of model1 to model 0. More...
btMatrix3x3 | m_R1to0
| Transforms Rotation of model1 to model 0, equal to R0' * R1. More...
btMatrix3x3 | m_AR
| Absolute value of m_R1to0. More...

## Detailed Description

Class for transforming a model1 to the space of model0.

Definition at line 134 of file gim_box_collision.h.

## Constructor & Destructor Documentation

## ◆ GIM_BOX_BOX_TRANSFORM_CACHE() [1/2]

GIM_BOX_BOX_TRANSFORM_CACHE::GIM_BOX_BOX_TRANSFORM_CACHE | ( |  | ) |
| inline

Definition at line 149 of file gim_box_collision.h.

## ◆ GIM_BOX_BOX_TRANSFORM_CACHE() [2/2]

GIM_BOX_BOX_TRANSFORM_CACHE::GIM_BOX_BOX_TRANSFORM_CACHE | ( | mat4f | trans1_to_0 | ) |
| inline

Definition at line 153 of file gim_box_collision.h.

## Member Function Documentation

## ◆ calc_absolute_matrix()

void GIM_BOX_BOX_TRANSFORM_CACHE::calc_absolute_matrix | ( |  | ) |
| inline

Definition at line 141 of file gim_box_collision.h.

## ◆ calc_from_full_invert()

void GIM_BOX_BOX_TRANSFORM_CACHE::calc_from_full_invert | ( | const btTransform & | trans0,
|  | const btTransform & | trans1
| ) |  |
| inline

Calcs the full invertion of the matrices. Useful for scaling matrices.

Definition at line 173 of file gim_box_collision.h.

## ◆ calc_from_homogenic()

void GIM_BOX_BOX_TRANSFORM_CACHE::calc_from_homogenic | ( | const btTransform & | trans0,
|  | const btTransform & | trans1
| ) |  |
| inline

Calc the transformation relative 1 to 0. Inverts matrics by transposing.

Definition at line 161 of file gim_box_collision.h.

## ◆ transform()

btVector3 GIM_BOX_BOX_TRANSFORM_CACHE::transform | ( | const btVector3 & | point | ) |
| inline

Definition at line 184 of file gim_box_collision.h.

## Member Data Documentation

## ◆ m_AR

btMatrix3x3 GIM_BOX_BOX_TRANSFORM_CACHE::m_AR

Absolute value of m_R1to0.

Definition at line 139 of file gim_box_collision.h.

## ◆ m_R1to0

btMatrix3x3 GIM_BOX_BOX_TRANSFORM_CACHE::m_R1to0

Transforms Rotation of model1 to model 0, equal to R0' * R1.

Definition at line 138 of file gim_box_collision.h.

## ◆ m_T1to0

btVector3 GIM_BOX_BOX_TRANSFORM_CACHE::m_T1to0

Transforms translation of model1 to model 0.

Definition at line 137 of file gim_box_collision.h.

The documentation for this class was generated from the following file:

- gim_box_collision.h